Skip to main content
GET
/
organizations
/
{orgId}
Get an organization
curl --request GET \
  --url https://dashboard.hologram.io/api/1/organizations/{orgId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": {
    "id": 2345,
    "name": "Smart Things LLC",
    "ownerid": 1234,
    "is_personal": 0,
    "ccemails": "finance@example.com",
    "preflight_timeout_in_days": 365,
    "users": [
      {
        "id": 1234,
        "email": "holly.graham@example.com",
        "first": "Holly",
        "last": "Graham",
        "permissions": [
          "billing",
          "activation",
          "changeplan",
          "sbconfig",
          "sbtunnel",
          "deactivate",
          "org_management"
        ]
      }
    ],
    "pending": [
      {
        "email": "newuser@example.com",
        "inviteid": 456
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

orgId
integer
required

ID of the organization

Query Parameters

with_verified_status
integer

When true, include the email verification status of each member user

withbilling_scheme
boolean

When true, include the billing scheme in the response

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

data
object